# TdApi.GetLanguagePackString (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetLanguagePackString

Package it.tdlight.jni

# Class TdApi.GetLanguagePackString

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetLanguagePackString

Enclosing class:
  TdApi

    public static class TdApi.GetLanguagePackString
    extends TdApi.Function

Returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

Returns `LanguagePackStringValue`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `key` | Language pack key of the string to be returned.
`String` | `languagePackDatabasePath` | Path to the language pack database in which strings are stored.
`String` | `languagePackId` | Language pack identifier.
`String` | `localizationTarget` | Localization target to which the language pack belongs.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetLanguagePackString()` | Returns a string stored in the local database from the specified localization target and language pack by its key.
`GetLanguagePackString​(DataInput input)` |
`GetLanguagePackString​(String languagePackDatabasePath, String localizationTarget, String languagePackId, String key)` | Returns a string stored in the local database from the specified localization target and language pack by its key.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### languagePackDatabasePath

public String languagePackDatabasePath
Path to the language pack database in which strings are stored.

### localizationTarget

public String localizationTarget
Localization target to which the language pack belongs.

### languagePackId

public String languagePackId
Language pack identifier.

### key

public String key
Language pack key of the string to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetLanguagePackString

public GetLanguagePackString()
Returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

Returns `LanguagePackStringValue`

### GetLanguagePackString

public GetLanguagePackString​(String languagePackDatabasePath, String localizationTarget, String languagePackId, String key)
Returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

Returns `LanguagePackStringValue`

Parameters:
  `languagePackDatabasePath` - String Path to the language pack database in which strings are stored.
  `localizationTarget` - String Localization target to which the language pack belongs.
  `languagePackId` - String Language pack identifier.
  `key` - String Language pack key of the string to be returned.

### GetLanguagePackString

public GetLanguagePackString​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`